Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class PresentationChannel

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.PresentationChannel

    public class PresentationChannel

extends java.lang.Object

Holds channelId, name, implementationType, presentationChannelType, channelType, defaultChannel, version, list of WorkTypeArtifact & list of BusinessServiceArtifact

©2014 TIBCO Software Inc.

Since:
  3.0

Constructor Summary
`PresentationChannel()`

Method Summary
`java.util.List<BusinessServiceType>` | `getBusinessServiceArtifact()`
`java.lang.String` | `getChannelId()`
`java.lang.String` | `getChannelType()`
`java.lang.String` | `getDefaultChannel()`
`java.lang.String` | `getImplementationType()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPresentationChannelType()`
`java.lang.String` | `getVersion()`
`java.util.List<WorkTypeArtifact>` | `getWorkTypeArtifact()`
`void` | `setBusinessServiceArtifact(java.util.List<BusinessServiceType> businessServiceArtifact)`
`void` | `setChannelId(java.lang.String channelId)`
`void` | `setChannelType(java.lang.String channelType)`
`void` | `setDefaultChannel(java.lang.String defaultChannel)`
`void` | `setImplementationType(java.lang.String implementationType)`
`void` | `setName(java.lang.String name)`
`void` | `setPresentationChannelType(java.lang.String presentationChannelType)`
`void` | `setVersion(java.lang.String version)`
`void` | `setWorkTypeArtifact(java.util.List<WorkTypeArtifact> workTypeArtifact)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PresentationChannel

    public PresentationChannel()

Method Detail

### getChannelId

    public java.lang.String getChannelId()

### setChannelId

    public void setChannelId(java.lang.String channelId)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getImplementationType

    public java.lang.String getImplementationType()

### setImplementationType

    public void setImplementationType(java.lang.String implementationType)

### getPresentationChannelType

    public java.lang.String getPresentationChannelType()

### setPresentationChannelType

    public void setPresentationChannelType(java.lang.String presentationChannelType)

### getChannelType

    public java.lang.String getChannelType()

### setChannelType

    public void setChannelType(java.lang.String channelType)

### getDefaultChannel

    public java.lang.String getDefaultChannel()

### setDefaultChannel

    public void setDefaultChannel(java.lang.String defaultChannel)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

### getWorkTypeArtifact

    public java.util.List<WorkTypeArtifact> getWorkTypeArtifact()

### setWorkTypeArtifact

    public void setWorkTypeArtifact(java.util.List<WorkTypeArtifact> workTypeArtifact)

### getBusinessServiceArtifact

    public java.util.List<BusinessServiceType> getBusinessServiceArtifact()

### setBusinessServiceArtifact

    public void setBusinessServiceArtifact(java.util.List<BusinessServiceType> businessServiceArtifact)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.